MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022912Community[OCCT] OCCT:Visualizationpublic2012-01-18 13:582014-05-05 13:38
ReporterTimo 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0022912: After calling AIS_InteractiveContext::UnsetColor objects are drawn with the same color when transparency is changed
DescriptionAfter unsetting the color of some interactive objects and setting new colors, all these objects are drawn with the same color when their transparency is changed.

In our application, the same problem occured when the number of iso lines of the context is changed (via AIS_InteractiveContext::SetIsoNumber) instead of the transparency.

It seems that the shapes use the default drawer in some cases after unsetting the color. But this is only my impression as a user, I didn't debug the code.
Steps To ReproduceTo reproduce the problem you can use the following Draw commands:

restore p.brep p
explode p
vinit
vdisplay p_1
vdisplay p_2
vfit
vsetdispmode p_1 1
vsetdispmode p_2 1
vsetcolor p_1 red
vsetcolor p_2 green
vunsetcolor p_1
vunsetcolor p_2
vsetcolor p_1 red
vsetcolor p_2 green
vsettransparency p_1 0.5
vsettransparency p_1 0
TagsNo tags attached.
Test case numberbugs vis bug22912
Attached Files? file icon p.brep (114,075 bytes) 2012-01-18 13:58

- Relationships

-  Notes
(0019169)
Timo (developer)
2012-01-18 14:08

The problem exists in OCC 6.3.1, 6.5.1 and 6.5.2.
I didn't test other versions.
(0027918)
kgv (developer)
2014-02-17 14:47

Dear bugmaster,

the specified test case is not reproducible since OCCT660.
Please close the issue.
(0027924)
Timo (developer)
2014-02-17 15:21

Yes, I can confirm that it is fixed, actually since 6.5.3.
(0028058)
bugmaster (administrator)
2014-02-27 18:20

Dear APN,

Please create testing case
(0028133)
apn (administrator)
2014-03-04 17:00

Branch CR22912 was created.
Testing case:
bugs vis bug22912 - OK.

- Related Changesets
occt: master d53ae65f
Timestamp: 2014-03-04 12:59:43
Author: abv
Committer: abv
Details ] Diff ]
0022912: After calling AIS_InteractiveContext::UnsetColor objects are drawn with the same color when transparency is changed

Added test case bugs/vis/bug22912
add - tests/bugs/vis/bug22912 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-18 13:58 Timo New Issue
2012-01-18 13:58 Timo Assigned To => san
2012-01-18 13:58 Timo File Added: p.brep
2012-01-18 14:08 Timo Note Added: 0019169
2014-02-17 14:47 kgv Note Added: 0027918
2014-02-17 14:47 kgv Assigned To san => bugmaster
2014-02-17 14:47 kgv Status new => feedback
2014-02-17 14:47 kgv Resolution open => fixed
2014-02-17 14:47 kgv Target Version => 6.6.0
2014-02-17 15:21 Timo Note Added: 0027924
2014-02-27 18:20 bugmaster Note Added: 0028058
2014-02-27 18:20 bugmaster Assigned To bugmaster => apn
2014-03-04 17:00 apn Note Added: 0028133
2014-03-04 17:01 apn Test case number => bugs vis bug22912
2014-03-04 17:01 apn Assigned To apn => bugmaster
2014-03-04 17:01 apn Status feedback => tested
2014-03-04 17:01 apn Fixed in Version => 6.5.3
2014-03-04 17:01 apn Target Version 6.6.0 => 6.7.1
2014-03-11 14:41 abv Changeset attached => occt master d53ae65f
2014-03-11 14:41 abv Assigned To bugmaster => abv
2014-03-11 14:41 abv Status tested => verified
2014-05-05 13:33 user533 Status verified => closed
2014-05-05 13:38 user533 Fixed in Version 6.5.3 => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker